*! version 4.0
* 18 May 2016
* NIDS
* Master Income do file for Nids Wave 1

* THIS IS THE MASTER INCOME DO FILE: 1 OF 7
* THESE 7 DO FILES CREATE THE NIDS WAVE 1 INCOME VARIABLES FOR PUBLIC RELEASE THAT ARE
* TO BE FOUND IN THE INDIVIDUAL AND HOUSEHOLD DERIVED DATASETS. 

*=====================================================================================================================================
* GLOBALS FOR DATA FILES, DO FILES AND VERSION SUFFIXES

global DataIN "C:\Users\Admin\Desktop\Data" //File path to where data is located. Change this path according to where your data folder in located on your computer.
global DataOUT "C:\Users\Admin\Desktop\Data\Wave 1\Output"

global DoFilePath "C:\Users\Admin\Desktop\Data\dofiles\Wave 1\Income"  // file path to other income do files

global VersionIN "W1_Anon_V6.0"
global VersionOUT "Inc"

*=====================================================================================================================================
* SETTING UP STATA TO RUN DO FILES

clear
cap clear matrix
set more off 
set mem 400m

*-------------------------------------------------------------------------------------------------------------------------------------

*MERGING THE REQUIRED DATASETS: DO FILE 2 OF 7
do "$DoFilePath\W1 Income 2 - Merging datasets to create income variables (2 of 8).do"


*PREPARING THE AGRICULTURE VARIABLES: DO FILE 4 OF 7
do "$DoFilePath\W1 Income 3 - Preparing agriculture variables (3 of 8).do"


*PREPARING THE RELEVANT VARIABLES FOR IMPUTATION: DO FILE 3 OF 7
do "$DoFilePath\W1 Income 4 - Preparing variables for imputation (4 of 8).do"


*PERFORMING THE IMPUTATIONS: DO FILE 5 OF 7
do "$DoFilePath\W1 Income 5 - Performing Imputations for missing data on Income variables (5 of 8).do"


*AGGREGATING THE PRE-IMPUTED VALUES: DO FILE 5 OF 7
do "$DoFilePath\W1 Income 6 - Aggregation of pre-imputation variables (6 of 8).do"


*AGGREGATING THE POST-IMPUTED VALUES: DO FILE 6 OF 7
do "$DoFilePath\W1 Income 7 - Aggregation of post-imputation variables (7 of 8).do"


*PREPARING THE DATA FOR PUBLIC RELEASE: DO FILE 7 OF 7
do "$DoFilePath\W1 Income 8 - Income Release of post-imputation variables (8 of 8).do"

* end of master do file

*=======================================================================================================================================


